Macaulay2 » Documentation
Packages » Macaulay2Doc » commutative algebra » pdim
next | previous | forward | backward | up | index | toc

# pdim -- compute the projective dimension

- Usage:
    `pdim M`

## Caveat

For now, the method is to measure the length of a projective resolution.

## Ways to use pdim:

- `pdim(BettiTally)` -- see BettiTally -- the class of all Betti tallies
- pdim(Module) -- compute the projective dimension of a module

## For the programmer

The object pdim is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/functions/pdim-doc.m2:12:0.